; Keyfinder
; by Randy Gluvna
; gluvna@home.com
; http://members.home.com/gluvna

#INCLUDE "TI82.H"

.ORG START_ADDR

.DB "Keyfinder",0

        ROM_CALL(CLEARLCD)
        LD HL,$0000
        LD (CURSOR_ROW),HL
        LD HL,STRING_TITLE
        SET 3,(IY+05)
        ROM_CALL(D_ZT_STR)
        LD HL,$0001
        LD (CURSOR_ROW),HL
        LD HL,STRING_AUTHOR
        RES 3,(IY+05)
        ROM_CALL(D_ZT_STR)
        LD HL,$0003
        LD (CURSOR_ROW),HL
        LD HL,STRING_KEY
        ROM_CALL(D_ZT_STR)
LOOP:
        CALL GET_KEY
        CP 55
        RET Z
        OR A
        JR NZ,PRINT
        JR LOOP
PRINT:
        LD HL,$0004
        LD (CURSOR_ROW),HL
        LD H,0
        LD L,A
        ROM_CALL(D_HL_DECI)
        JR LOOP

STRING_TITLE:
        .DB "   Keyfinder    ",0
STRING_AUTHOR:
        .DB "by Randy Gluvna",0
STRING_KEY:
        .DB "GET_KEY code:",0

.END
